Bug 1261459 - Regression: kubectl logs --follow is now broken
Regression: kubectl logs --follow is now broken
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kubernetes (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Chaloupka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 07:39 EDT by Stef Walter
Modified: 2016-04-20 11:17 EDT (History)
9 users (show)

See Also:
Fixed In Version: kubernetes-1.1.0-0.17.git388061f.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-20 11:17:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test case (1.46 KB, text/plain)
2015-09-09 07:41 EDT, Stef Walter
no flags Details
Test case (969 bytes, text/plain)
2015-09-10 11:54 EDT, Stef Walter
no flags Details

  None (edit)
Description Stef Walter 2015-09-09 07:39:14 EDT
Description of problem:

kubectl logs --follow hash now regressed.

Version-Release number of selected component (if applicable):

kubernetes-1.1.0-0.5.gite44c8e6.fc22.x86_64

How reproducible:

Every time.

Steps to Reproduce:
1. kubectl create -f <attachment>
2. kubectl get pods
3. kubectl logs --follow <pod>

Actual results:

Hangs.

Expected results:

Show the log output.

Additional info:

docker logs on the same container works.
Comment 1 Stef Walter 2015-09-09 07:41:53 EDT
Created attachment 1071695 [details]
Test case
Comment 2 Stef Walter 2015-09-09 07:50:27 EDT
This build works: http://koji.fedoraproject.org/koji/buildinfo?buildID=670280
Comment 3 Stef Walter 2015-09-10 11:54:51 EDT
Created attachment 1072268 [details]
Test case

Updated to simpler test case file.
Comment 4 Stef Walter 2015-09-10 12:14:25 EDT
Tested against kubernetes git master. Fails there too. Filed issue: https://github.com/kubernetes/kubernetes/issues/13811
Comment 5 Stef Walter 2015-09-15 06:44:39 EDT
This build fixes the issue:

# rpm -q kubernetes
kubernetes-1.1.0-0.16.git388061f.fc22.x86_64

Jan, if you have narrowed it down, could you report upstream where the breakage was? https://github.com/kubernetes/kubernetes/issues/13811
Comment 6 Jan Chaloupka 2015-09-15 06:45:59 EDT
Actually, kubernetes-1.1.0-0.16.git388061f is kubernetes-1.0.6. Did not want to introduce Epoch and mess with the spec file. Once 1.1.0 is stable, version will continue.
Comment 7 Jan Chaloupka 2015-09-15 06:48:34 EDT
$ kubectl version
will return the correct version. In AH or cockpit, rpm -q kubernetes is not used so often I suppose. So it will not matter. All blame for this hack on me.
Comment 8 Scott Dodson 2015-09-29 17:08:07 EDT
Seems the fix is here https://github.com/kubernetes/kubernetes/pull/13864
Comment 9 Stef Walter 2016-02-02 03:17:19 EST
This is still the case on Fedora 22.
Comment 10 Stef Walter 2016-02-02 03:21:46 EST
$ rpm -q kubernetes-client
kubernetes-client-1.1.0-0.5.gite44c8e6.fc22.x86_64
$ rpm -q kubernetes
kubernetes-1.1.0-0.5.gite44c8e6.fc22.x86_64

$ wget -O test.json 'https://bugzilla.redhat.com/attachment.cgi?id=1072268'
$ kubectl create -f test.json
$ kubectl get pods # get name and wait until running
$ kubectl logs --follow mock-vp4k6
^C

$ kubectl logs --follow mock-vp4k6
HelloMessage.
HelloMessage.
HelloMessage.
HelloMessage.
HelloMessage.
HelloMessage.
HelloMessage.
HelloMessage.
...

sudo docker logs --follow on the same machine works, as does 'kubectl logs mock-vp4k6' without --follow.
Comment 11 Fedora Update System 2016-02-02 04:51:38 EST
kubernetes-1.1.0-0.17.git388061f.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b8c9642851
Comment 12 Fedora Update System 2016-02-02 20:21:08 EST
kubernetes-1.1.0-0.17.git388061f.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b8c9642851
Comment 13 Fedora Update System 2016-04-20 11:17:34 EDT
kubernetes-1.1.0-0.17.git388061f.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.